%define name evilvte
%define version 0.5.1
%define release %mkrel 1

Summary: VTE based, super lightweight terminal emulator
Summary(de): Einfacher Terminal Emulator basierend auf VTE
Name:    %{name}
Version: %{version}
Release: %{release}
License: GPLv2 
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL: http://www.calno.com/evilvte/
Source: http://www.calno.com/evilvte/%{name}-%{version}.tar.xz
Group: Terminals
BuildRequires: gtk2-devel
BuildRequires: glib2-devel
BuildRequires: desktop-file-utils
#BuildRequires: libxorg-x11-devel
BuildRequires: pkgconfig
BuildRequires: vte-devel
Requires: vte
Requires: glibc >= 2.10.1
Requires: libstdc++6 >= 4.4.1
Obsoletes: %name < %version


%description
VTE based, super lightweight terminal emulator

%description -l de
evilvte ist ein Terminal-Emulator. Er unterstützt fast alle Möglichkeiten von VTE. 
Außerdem unterstützt er Registerkarten, deren automatische Ausblendung sowie den Wechsel 
der Kodierung im laufenden Betrieb. Die Konfiguration erfolgt durch die Bearbeitung des 
Quellcodes und Neukompilierung.

Diese Version bietet alle zur Laufzeit einstellbaren Optionen im Kontextmenü (rechte Maustaste). 

%prep

%setup -q

%build

./configure --prefix=/usr 

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-TerminalEmulator" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus


%postun
%clean_menus


%files
%defattr(-,root,root)
%doc gpl-2.0.txt
%_bindir/%{name}
%_bindir/showvte
%_datadir/pixmaps/%{name}.*
%_datadir/applications/%{name}.desktop
%_mandir/man1/*.1.bz2
%_datadir/gnome-control-center/default-apps/evilvte.xml
%_datadir/icons/hicolor/*/apps/*

%changelog
* Sun Jul 17 2016 adrianomorselli <adrianomorselli> 0.5.1-1uplos2013
- rebuild

* Mon Jul 01 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 0.5.1-1pclos2013
- 0.5.1

* Tue Feb 21 2012 Neal <nealbrks0 at gmail dot com> 0.5.0-1pclos2012
- process

* Mon Feb 20 2012 ghostbunny <hmhaase at üclinuxosusers dot de> 0.5.0-1pclos2012
- 0.5.0
- added %_datadir/icons/highcolor/*/apps/*

* Thu Oct 07 2010 Texstar <texstar at gmail.com> 0.4.7-1pclos2010
- 0.4.7

* Mon Sep 27 2010 Texstar <texstar at gmail.com> 0.4.6-1pclos2010
- 0.4.6

* Fri Nov 06 2009 slick50 <lxgator@gmail.com> 0.4.5-1pclos2010
- initial pkg
